# Created by pyp2rpm-3.3.2
%global pypi_name cssselect2

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %mkrel 3
Summary:        CSS selectors for Python ElementTree
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/cssselect2/
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tinycss2)
BuildRequires:  python3dist(flit-core)

%description
cssselect2 is a straightforward implementation of CSS3 Selectors for markup
documents (HTML, XML, etc.) that can be read by ElementTree-like parsers
(including cElementTree, lxml, html5lib, etc.)

Unlike cssselect, it does not translate selectors to XPath and therefore
does not have all the correctness corner cases that are hard or impossible
to fix in cssselect.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cssselect2 is a straightforward implementation of CSS3 Selectors for markup
documents (HTML, XML, etc.) that can be read by ElementTree-like parsers
(including cElementTree, lxml, html5lib, etc.)

Unlike cssselect, it does not translate selectors to XPath and therefore
does not have all the correctness corner cases that are hard or impossible
to fix in cssselect.

%package -n python-%{pypi_name}-doc
Summary:        cssselect2 documentation
BuildRequires:  python3dist(sphinx)

%description -n python-%{pypi_name}-doc
Documentation for cssselect2.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cssselect2

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Sun Mar 02 2025 wally <wally> 0.7.0-3.mga10
+ Revision: 2158104
- rebuild for python3.13

* Tue Jan 09 2024 papoteur <papoteur> 0.7.0-2.mga10
+ Revision: 2029283
- rebuild fot python3.12

* Thu Sep 29 2022 neoclust <neoclust> 0.7.0-1.mga9
+ Revision: 1893205
- New version 0.7.0

* Tue Sep 06 2022 neoclust <neoclust> 0.6.0-1.mga9
+ Revision: 1884527
- New version

* Wed Mar 30 2022 umeabot <umeabot> 0.4.1-3.mga9
+ Revision: 1834366
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.4.1-2.mga9
+ Revision: 1785502
- rebuild for python-3.10

* Thu Mar 25 2021 daviddavid <daviddavid> 0.4.1-1.mga9
+ Revision: 1709729
- new version: 0.4.1
- rebuild for python 3.9

* Fri Mar 20 2020 shlomif <shlomif> 0.3.0-1.mga8
+ Revision: 1558325
- New version 0.3.0

* Tue Feb 18 2020 umeabot <umeabot> 0.2.2-2.mga8
+ Revision: 1539632
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 shlomif <shlomif> 0.2.2-1.mga8
+ Revision: 1465486
- New version 0.2.2

* Mon Sep 16 2019 wally <wally> 0.2.1-3.mga8
+ Revision: 1442273
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 0.2.1-2.mga8
+ Revision: 1429711
- drop python2 support
- update url and description

* Fri Jan 11 2019 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1354650
- pyp2rpm

